• Forum has been upgraded, all links, images, etc are as they were. Please see Official Announcements for more information

GUI tool for running Masternode with Trezor

Libc6 out of date here:
Code:
dlopen: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /tmp/_MEI8Th2Lq/libpython3.8.so.1.0)

I'm probable running a too out of date distro to expect up to date software to run at this stage though (ubuntu 16.04).
I've just published a linux binary that should work on Ubuntu 16.04.
 
Hi Bertrand256. Cold u tell me how to get back the mn info after I hided it?
 

Attachments

  • question.png
    question.png
    10.6 KB · Views: 239
@dote go to

1625668382327.png


Find the file: dmt_cache_v2.json and open it with txt editor.
Close DMT,
Find "MainWindow_ShowMNDetailsPanel" and change it to true.
Start DMT again and you should see it.

It is a bug I found and I think that the next version will have hide/show :)
 
Couldn't read governance info from the Dash network. Some features may not work correctly because of this. Details: unsupported operand type(s) for /: 'NoneType' and 'int'


Error while saving proposals data to db. Details: Error occurred while displaying proposals: unsupported operand type(s) for -: 'NoneType' and 'float'


Error while retrieving proposals data: unsupported operand type(s) for -: 'NoneType' and 'float'


Error while reading proposals data from the Dash network: Errors while processing proposals data. Look into the log file for details.


Errors while processing proposals data. Look into the log file for details.
 
Last edited:
DashMasternodeTool v0.9.28 released
Binaries: https://github.com/Bertrand256/dash-masternode-tool/releases/tag/v0.9.28

Changes:
- New: UI dark mode option independent of the OS settings.
- New: toolbar icons with enhanced visual consistency (kudos to Doeke Koedijk for creating them).
- New: possibility to use keypad when entering PIN for Trezor devices.
- Fixed support for macOS dark theme.
- Fixed an issue of the "Masternode status details" option disappearing after its usage.
- Fixed several other, minor visual issues.

I've been asked a few times to implement dark mode in the app UI. From now on it is possible to change the theme to dark, even on systems that do not support it natively like macOS. To enable it, open the settings dialog, go to the "Miscellaneous" tab and check the "Use UI dark mode" option.

Here is a preview:
dark-mode-custom.png


On macOS, you can now also use a native dark theme, but it looks a bit different that this multi-os solution. To use the native macOS theme, uncheck te configuration option mentioned above.
 
Error:

"Couldn't read governance info from the Dash network. Some features may not work correctly because of this. Details: unsupported operand type(s) for /: 'NoneType' and 'int'"


Also, startup time is a bit slow. Can maybe add a splash screen during startup?
 
Also, startup time is a bit slow. Can maybe add a splash screen during startup?
The executable is based on pyInstaller and is basically a self-extracting zip archive. Most of the application start time is used to unpack the archive. Only after this, anything can be run, including for example a splash screen. To solve this problem, it is necessary to use different approach to prepare executable version. I will think about it.
 
Error:
"Couldn't read governance info from the Dash network. Some features may not work correctly because of this. Details: unsupported operand type(s) for /: 'NoneType' and 'int'"

Can you post here a few lines from the app's log file containing the error stack trace?
They should start with something like this: "Traceback (most recent call last):"
 
Can you post here a few lines from the app's log file containing the error stack trace?

They should start with something like this: "Traceback (most recent call last):"


ERROR|dmt.main|Dummy-1|app_main_view_wdg.py|refresh_status_thread|-342: non-JSON HTTP response with '521 ' from server

Traceback (most recent call last):

File "app_main_view_wdg.py", line 858, in refresh_status_thread

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1290, in get_masternodelist

File "dashd_intf.py", line 1192, in _read_protx_list

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 186, in _get_response

bitcoinrpc.authproxy.JSONRPCException: -342: non-JSON HTTP response with '521 ' from server


...


ERROR|dmt.proposals|Dummy-2|proposals_dlg.py|read_proposals_from_network|Exception wile reading proposals from Dash network.

Traceback (most recent call last):

File "proposals_dlg.py", line 869, in read_proposals_from_network

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1477, in gobject

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 179, in _get_response

File "http/client.py", line 1334, in getresponse

http.client.ResponseNotReady: Idle


...


ERROR|dmt.main|Dummy-1|app_main_view_wdg.py|refresh_status_thread|unsupported operand type(s) for /: 'NoneType' and 'float'

Traceback (most recent call last):

File "app_main_view_wdg.py", line 976, in refresh_status_thread

TypeError: unsupported operand type(s) for /: 'NoneType' and 'float'


...


ERROR|dmt.proposals|Dummy-2|proposals_dlg.py|read_data_thread|Exception while reading data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1383, in read_data_thread

File "proposals_dlg.py", line 869, in read_proposals_from_network

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1477, in gobject

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 179, in _get_response

File "http/client.py", line 1334, in getresponse

http.client.ResponseNotReady: Idle


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_governance_data|Exception while reading governance info.

Traceback (most recent call last):

File "proposals_dlg.py", line 1106, in read_governance_data

TypeError: unsupported operand type(s) for /: 'NoneType' and 'int'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|apply_values|'>=' not supported between instances of 'float' and 'NoneType'

Traceback (most recent call last):

File "proposals_dlg.py", line 257, in apply_values

File "proposals_dlg.py", line 1143, in find_superblocks_for_timestamp

TypeError: '>=' not supported between instances of 'float' and 'NoneType'


...


ERROR|dmt.proposals|MainThread|proposals_dlg.py|display_proposals_data|Exception occurred while displaying proposals.

Traceback (most recent call last):

File "proposals_dlg.py", line 1894, in display_proposals_data

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while saving proposals to db.

Traceback (most recent call last):

File "proposals_dlg.py", line 1894, in display_proposals_data

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "proposals_dlg.py", line 1352, in read_data_thread

File "wnd_utils.py", line 202, in call_in_main_thread

File "wnd_utils.py", line 437, in call_in_main_thread

File "wnd_utils.py", line 562, in __call_in_main_thread

File "wnd_utils.py", line 429, in fun_call_signalled

File "proposals_dlg.py", line 1349, in disp

File "proposals_dlg.py", line 1900, in display_proposals_data

Exception: Error occurred while displaying proposals: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while retrieving proposals data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1367, in read_data_thread

File "wnd_utils.py", line 202, in call_in_main_thread

File "wnd_utils.py", line 437, in call_in_main_thread

File "wnd_utils.py", line 562, in __call_in_main_thread

File "wnd_utils.py", line 429, in fun_call_signalled

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Error while processing proposal data. Proposal hash: ?

Traceback (most recent call last):

File "proposals_dlg.py", line 887, in read_proposals_from_network

AttributeError: 'int' object has no attribute 'get'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Error while processing proposal data. Proposal hash: ?

Traceback (most recent call last):

File "proposals_dlg.py", line 887, in read_proposals_from_network

AttributeError: 'decimal.Decimal' object has no attribute 'get'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Exception wile reading proposals from Dash network.

Traceback (most recent call last):

File "proposals_dlg.py", line 1075, in read_proposals_from_network

Exception: Errors while processing proposals data. Look into the log file for details.


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while reading data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1383, in read_data_thread

File "proposals_dlg.py", line 1075, in read_proposals_from_network

Exception: Errors while processing proposals data. Look into the log file for details.
 
Back
Top